waitingRequest = false
function sendHttpRequestGet(request, callback)
    if (waitingRequest) then
        return
    end

    waitingRequest = true
    Http().get(request, function(response)
        waitingRequest = false
        callback(response)
    end)
end

function subscribe(cid, sid, successCallback)
    sendHttpRequestGet("http://api.btime.com/media/sub?c_id=" .. cid .. "&sid=" .. sid, function(response)
        local responseData = Json.toTable(response.data())
        if (responseData.errno ~= 0) then
            toast("关注失败！")
            return
        end

        successCallback(responseData)
    end)
end

function unsubscribe(cid, sid, successCallback)
    sendHttpRequestGet("http://api.btime.com/media/unsub?c_id=" .. cid .. "&sid=" .. sid, function(response)
        local responseData = Json.toTable(response.data())
        if (responseData.errno ~= 0) then
            toast("取消关注失败！")
            return
        end

        successCallback(responseData)
    end)
end

function openWeMediaPage(cid)
    URIHandler.request("btime://v1/goto/media_channel?cid=" .. cid)
end

function login(successCallback)
    URIHandler.request("btime://v1/login/login?callback=_", function(result)
        local _, _, loginJson = string:find(result, "javascript:_%((.+)%)")
        local loginData = Json.toTable(loginJson)

        if (loginData.errno ~= 0) then
            return
        end

        successCallback(loginData)
    end)
end